Bug 18894 - Add ability to limit the number of messages sent by misc/cronjobs/process_message_queue.pl at a time
Summary: Add ability to limit the number of messages sent by misc/cronjobs/process_mes...
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-07-05 14:32 UTC by Kyle M Hall
Modified: 2017-11-08 16:50 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18894 - Add ability to limit the number of messages sent by misc/cronjobs/process_message_queue.pl at a time (5.16 KB, patch)
2017-07-05 14:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18894 - Add ability to limit the number of messages sent by misc/cronjobs/process_message_queue.pl at a time (6.63 KB, patch)
2017-07-05 16:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18894 - Add ability to limit the number of messages sent by misc/cronjobs/process_message_queue.pl at a time (6.65 KB, patch)
2017-11-02 02:09 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18894 - Add ability to limit the number of messages sent by misc/cronjobs/process_message_queue.pl at a time (6.74 KB, patch)
2017-11-03 07:52 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18894: (QA Follow-up) POD changes (1.01 KB, patch)
2017-11-03 07:52 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-07-05 14:32:57 UTC
Having the ability to limit the number of messages sent by process_message_queue.pl on a single run would be very useful for controlling home many messages are sent at a given time. This can help prevent too many messages being sent out at once and getting flagged as a spammer.
Comment 1 Kyle M Hall 2017-07-05 14:35:45 UTC
Created attachment 64801 [details] [review]
Bug 18894 - Add ability to limit the number of messages sent by misc/cronjobs/process_message_queue.pl at a time

Having the ability to limit the number of messages sent by process_message_queue.pl on a single run would be very useful for controlling home many messages are sent at a given time. This can help prevent too many messages being sent out at once and getting flagged as a spammer.

Test Plan:
1) Apply this patch
2) Generate some number of messages in the message queue
3) Run process_message_queue.pl with the new --limit option,
   set limit to a number smaller than the number of pending messages
4) After the script has run, check the database and note that only
   a number of pending messages were sent, and that the remaining amount
   of pending messages is the original amount less the number specified
   as the limit
Comment 2 Kyle M Hall 2017-07-05 16:13:00 UTC
Created attachment 64804 [details] [review]
Bug 18894 - Add ability to limit the number of messages sent by misc/cronjobs/process_message_queue.pl at a time

Having the ability to limit the number of messages sent by process_message_queue.pl on a single run would be very useful for controlling home many messages are sent at a given time. This can help prevent too many messages being sent out at once and getting flagged as a spammer.

Test Plan:
1) Apply this patch
2) Generate some number of messages in the message queue
3) Run process_message_queue.pl with the new --limit option,
   set limit to a number smaller than the number of pending messages
4) After the script has run, check the database and note that only
   a number of pending messages were sent, and that the remaining amount
   of pending messages is the original amount less the number specified
   as the limit
Comment 3 M. Tompsett 2017-11-02 01:53:03 UTC
Comment on attachment 64804 [details] [review]
Bug 18894 - Add ability to limit the number of messages sent by misc/cronjobs/process_message_queue.pl at a time

Review of attachment 64804 [details] [review]:
-----------------------------------------------------------------

::: C4/Letters.pm
@@ +1272,5 @@
> +        SELECT mq.message_id, mq.borrowernumber, mq.subject, mq.content, mq.message_transport_type, mq.status, mq.time_queued, mq.from_address, mq.to_address, mq.content_type, b.branchcode, mq.letter_code
> +        FROM message_queue mq
> +        LEFT JOIN borrowers b ON b.borrowernumber = mq.borrowernumber
> +        WHERE status = ?
> +    };

I like the clean up, but technically not necessary.
Comment 4 M. Tompsett 2017-11-02 02:09:05 UTC
Created attachment 68887 [details] [review]
Bug 18894 - Add ability to limit the number of messages sent by misc/cronjobs/process_message_queue.pl at a time

Having the ability to limit the number of messages sent by process_message_queue.pl on a single run would be very useful for controlling home many messages are sent at a given time. This can help prevent too many messages being sent out at once and getting flagged as a spammer.

Test Plan:
1) Apply this patch
2) Generate some number of messages in the message queue
3) Run process_message_queue.pl with the new --limit option,
   set limit to a number smaller than the number of pending messages
4) After the script has run, check the database and note that only
   a number of pending messages were sent, and that the remaining amount
   of pending messages is the original amount less the number specified
   as the limit

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 Marcel de Rooy 2017-11-03 07:52:08 UTC
Created attachment 68906 [details] [review]
Bug 18894 - Add ability to limit the number of messages sent by misc/cronjobs/process_message_queue.pl at a time

Having the ability to limit the number of messages sent by process_message_queue.pl on a single run would be very useful for controlling home many messages are sent at a given time. This can help prevent too many messages being sent out at once and getting flagged as a spammer.

Test Plan:
1) Apply this patch
2) Generate some number of messages in the message queue
3) Run process_message_queue.pl with the new --limit option,
   set limit to a number smaller than the number of pending messages
4) After the script has run, check the database and note that only
   a number of pending messages were sent, and that the remaining amount
   of pending messages is the original amount less the number specified
   as the limit

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2017-11-03 07:52:12 UTC
Created attachment 68907 [details] [review]
Bug 18894: (QA Follow-up) POD changes

Add limit parameter to POD section.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Jonathan Druart 2017-11-08 16:50:45 UTC
Pushed to master for 17.11, thanks to everybody involved!